package com.ynet.life.util.formula.function;

import com.ynet.life.base.LifeStandard;
import com.ynet.life.exception.TranFailException;
import com.ynet.util.formula.CFormula;
import com.ynet.util.formula.FormulaException;
import com.ynet.util.formula.FormulaValue;
import com.ynet.util.formula.function.Function;
import java.util.List;

/* loaded from: com_ynet_life_util_formula_function.jar:com/ynet/life/util/formula/function/RuntimeParam.class */
public class RuntimeParam extends Function {
    public FormulaValue getValue(List argList) throws FormulaException {
        if (argList.size() != 1) {
            throw new FormulaException("Invalid Paramater function SysParam(string)!");
        }
        FormulaValue stValue = ((CFormula) argList.get(0)).getValue();
        if (stValue.nDataType != 2) {
            throw new FormulaException("Invalid Paramater function SysParam(string)!");
        }
        String paramName = (String) stValue.getValue();
        try {
            String paramValue = LifeStandard.getRuntimeParam(paramName, "");
            FormulaValue stResult = new FormulaValue();
            stResult.nDataType = 2;
            stResult.sStringValue(paramValue);
            return stResult;
        } catch (TranFailException e) {
            throw new FormulaException("Get runtime parameter failed.", e);
        }
    }
}
